Bug 919935 - enblend FTBFS due to doc/texinfo related issues
Summary: enblend FTBFS due to doc/texinfo related issues
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: enblend
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Postle
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 922044 (view as bug list)
Depends On: 921706
Blocks: 924248
TreeView+ depends on / blocked
 
Reported: 2013-03-10 23:41 UTC by Rex Dieter
Modified: 2016-11-24 22:32 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-24 22:32:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Debian BTS 708800 None None None Never
Red Hat Bugzilla 1142817 None CLOSED cyrus-imapd-2.4.17-9.fc22 FTBFS: Error: /invalidfont in /findfont 2019-05-09 22:02:22 UTC
Launchpad 1181678 None None None Never

Internal Links: 1142817

Description Rex Dieter 2013-03-10 23:41:56 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=5104184

Making all in doc
make[2]: Entering directory `/builddir/build/BUILD/enblend-enfuse-4.1.1/doc'
/usr/bin/sed -e '1,/---BEGIN-TEXT---/d' \
               -e '/---END-TEXT---/,$d' \
               -e 's/^# \?//' < photographic-workflow.fig > photographic-workflow.txt
/usr/bin/sed -e '1,/---BEGIN-TEXT---/d' \
               -e '/---END-TEXT---/,$d' \
               -e 's/^# \?//' < external-mask-workflow.fig > external-mask-workflow.txt
restore=: && backupdir=".am$$" && \
am__cwd=`pwd` && CDPATH="${ZSH_VERSION+.}:" && cd . && \
rm -rf $backupdir && mkdir $backupdir && \
if (/bin/sh /builddir/build/BUILD/enblend-enfuse-4.1.1/missing --run makeinfo --version) >/dev/null 2>&1; then \
  for f in enblend.info enblend.info-[0-9] enblend.info-[0-9][0-9] enblend.i[0-9] enblend.i[0-9][0-9]; do \
    if test -f $f; then mv $f $backupdir; restore=mv; else :; fi; \
  done; \
else :; fi && \
cd "$am__cwd"; \
if /bin/sh /builddir/build/BUILD/enblend-enfuse-4.1.1/missing --run makeinfo -I .. -I .  -I . \
 -o enblend.info enblend.texi; \
then \
  rc=0; \
  CDPATH="${ZSH_VERSION+.}:" && cd .; \
else \
  rc=$?; \
  CDPATH="${ZSH_VERSION+.}:" && cd . && \
  $restore $backupdir/* `echo "./enblend.info" | sed 's|[^/]*$||'`; \
fi; \
rm -rf $backupdir; exit $rc
./auxmac.texi:9: warning: redefining Texinfo language command: @dmn
./auxmac.texi:119: warning: redefining Texinfo language command: @geq
./auxmac.texi:136: warning: redefining Texinfo language command: @leq
enblend.texi:451: bad syntax for @value
enblend.texi:451: misplaced {
enblend.texi:451: misplaced }
enblend.texi:511: warning: @ifinfo should only appear at a line beginning (possibly involving @power)
enblend.texi:511: warning: unknown @end docbook-pixel (possibly involving @power)
enblend.texi:513: warning: @ifinfo should only appear at a line beginning (possibly involving @classictimes)
enblend.texi:513: warning: unknown @end docbookheight (possibly involving @classictimes)
enblend.texi:591: bad syntax for @value
enblend.texi:592: bad syntax for @value
enblend.texi:594: @item outside of table or list
enblend.texi:595: @itemx outside of table or list
enblend.texi:600: bad syntax for @value
enblend.texi:600: misplaced {
enblend.texi:600: misplaced }
enblend.texi:604: bad syntax for @value
enblend.texi:606: @item outside of table or list
enblend.texi:621: @item outside of table or list
enblend.texi:622: @itemx outside of table or list
enblend.texi:659: bad syntax for @value
enblend.texi:661: @item outside of table or list
enblend.texi:662: @itemx outside of table or list
enblend.texi:670: @item outside of table or list
enblend.texi:671: @itemx outside of table or list
enblend.texi:1075: @item outside of table or list
enblend.texi:1081: `@end' expected `docbook', but saw `table'
enblend.texi:1081: `@end' expected `docbook', but saw `table'
enblend.texi:1197: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1199: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1201: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1213: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1215: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1217: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1239: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1241: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1243: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1253: warning: @ifinfo should only appear at a line beginning (possibly involving @classictimes)
enblend.texi:1253: warning: unknown @end docbookHEIGHT (possibly involving @classictimes)
enblend.texi:1267: @item outside of table or list
enblend.texi:1280: @item outside of table or list
enblend.texi:1296: @item outside of table or list
enblend.texi:1313: @item outside of table or list
enblend.texi:1329: @item outside of table or list
enblend.texi:1338: `@end' expected `docbook', but saw `table'
enblend.texi:1366: bad syntax for @value
enblend.texi:1366: misplaced {
enblend.texi:1366: misplaced }
enblend.texi:1367: bad syntax for @value
enblend.texi:1367: misplaced {
enblend.texi:1367: misplaced }
enblend.texi:1369: bad syntax for @value
enblend.texi:1369: misplaced {
enblend.texi:1369: misplaced }
enblend.texi:1377: bad syntax for @value
enblend.texi:1377: misplaced {
enblend.texi:1377: misplaced }
enblend.texi:1548: bad syntax for @value
enblend.texi:1548: misplaced {
enblend.texi:1548: misplaced }
enblend.texi:1549: bad syntax for @value
enblend.texi:1549: misplaced {
enblend.texi:1549: misplaced }
enblend.texi:1556: warning: @ifinfo should only appear at a line beginning (possibly involving @geq)
enblend.texi:1556: bad syntax for @value
enblend.texi:1556: misplaced {
enblend.texi:1556: misplaced }
enblend.texi:1556: superfluous argument to @end docbook:  src::minimum-anneal-kmax. (possibly involving @geq)
enblend.texi:1558: bad syntax for @value
enblend.texi:1558: misplaced {
enblend.texi:1558: misplaced }
enblend.texi:1572: bad syntax for @value
enblend.texi:1572: misplaced {
enblend.texi:1572: misplaced }
enblend.texi:1575: bad syntax for @value
enblend.texi:1575: warning: @ifinfo should only appear at a line beginning (possibly involving @classictimes)
enblend.texi:1575: warning: @end should not appear in @math (possibly involving @classictimes)
enblend.texi:1575: bad syntax for @value
enblend.texi:1575: misplaced {
enblend.texi:1575: misplaced }
enblend.texi:1575: misplaced }
enblend.texi:1575: warning: unknown @end docbooksrc (possibly involving @classictimes)
enblend.texi:1621: @item outside of table or list
enblend.texi:1633: warning: @ifinfo should only appear at a line beginning (possibly involving @geq)
enblend.texi:1633: bad syntax for @value
enblend.texi:1633: misplaced {
enblend.texi:1633: misplaced }
enblend.texi:1633: superfluous argument to @end docbook:  src::minimum-dijkstra-radius. (possibly involving @geq)
enblend.texi:1635: bad syntax for @value
enblend.texi:1637: @item outside of table or list
enblend.texi:1647: @item outside of table or list
enblend.texi:2243: bad syntax for @value
enblend.texi:2244: bad syntax for @value
enblend.texi:2256: @item outside of table or list
enblend.texi:2261: bad syntax for @value
enblend.texi:2266: @item outside of table or list
enblend.texi:2284: bad syntax for @value
enblend.texi:2309: warning: @ifinfo should only appear at a line beginning (possibly involving @geq)
enblend.texi:2309: bad syntax for @value
enblend.texi:2309: misplaced {
enblend.texi:2309: misplaced }
enblend.texi:2309: superfluous argument to @end docbook:  src::minimum-vectorize-distance. (possibly involving @geq)
enblend.texi:2312: bad syntax for @value
enblend.texi:2315: bad syntax for @value
enblend.texi:2316: bad syntax for @value
enblend.texi:2319: @item outside of table or list
enblend.texi:2335: @item outside of table or list
enblend.texi:2370: @item outside of table or list
enblend.texi:2395: bad syntax for @value
enblend.texi:2395: bad syntax for @value
enblend.texi:2408: @item outside of table or list
enblend.texi:2437: @item outside of table or list
enblend.texi:2438: @itemx outside of table or list
enblend.texi:2443: bad syntax for @value
enblend.texi:2477: @item outside of table or list
enblend.texi:2497: warning: @ifinfo should only appear at a line beginning (possibly involving @classictimes)
enblend.texi:2497: warning: unknown @end docbookFACTOR (possibly involving @classictimes)
enblend.texi:2500: warning: @ifinfo should only appear at a line beginning (possibly involving @geq)
enblend.texi:2500: bad syntax for @value
enblend.texi:2500: misplaced {
enblend.texi:2500: misplaced }
enblend.texi:2500: superfluous argument to @end docbook:  src::minimum-smooth-difference. (possibly involving @geq)
enblend.texi:2502: @item outside of table or list
enblend.texi:2508: bad syntax for @value
enblend.texi:2532: bad syntax for @value
enblend.texi:2539: bad syntax for @value
enblend.texi:2539: misplaced {
enblend.texi:2539: misplaced }
enblend.texi:2539: warning: @item missing argument
enblend.texi:2545: bad syntax for @value
enblend.texi:2545: misplaced {
enblend.texi:2545: misplaced }
enblend.texi:2545: warning: @item missing argument
enblend.texi:2548: bad syntax for @value
enblend.texi:2548: misplaced {
enblend.texi:2548: misplaced }
enblend.texi:2548: warning: @item missing argument
enblend.texi:2551: bad syntax for @value
enblend.texi:2551: misplaced {
enblend.texi:2551: misplaced }
enblend.texi:2551: warning: @item missing argument
enblend.texi:2554: bad syntax for @value
enblend.texi:2554: misplaced {
enblend.texi:2554: misplaced }
enblend.texi:2554: warning: @item missing argument
enblend.texi:2559: bad syntax for @value
enblend.texi:2559: misplaced {
enblend.texi:2559: misplaced }
enblend.texi:2559: warning: @item missing argument
enblend.texi:2562: bad syntax for @value
enblend.texi:2562: misplaced {
enblend.texi:2562: misplaced }
enblend.texi:2562: warning: @item missing argument
enblend.texi:2569: bad syntax for @value
enblend.texi:2570: bad syntax for @value
enblend.texi:2571: bad syntax for @value
enblend.texi:2571: bad syntax for @value
enblend.texi:2574: bad syntax for @value
enblend.texi:2574: misplaced {
enblend.texi:2574: misplaced }
enblend.texi:2574: warning: @item missing argument
enblend.texi:2638: `@end' expected `docbook', but saw `table'
enblend.texi:2638: `@end' expected `docbook', but saw `table'
enblend.texi:1575: @math missing close brace
./bug-reports.texi:18: bad syntax for @value
./bug-reports.texi:18: misplaced {
./bug-reports.texi:18: misplaced }
./bug-reports.texi:81: warning: @ifinfo should only appear at a line beginning (possibly involving @classictimes)
./bug-reports.texi:81: misplaced }
./bug-reports.texi:81: warning: unknown @end docbook1000 (possibly involving @classictimes)
./bug-reports.texi:83: @item outside of table or list
./bug-reports.texi:87: @item outside of table or list
./bug-reports.texi:91: @item outside of table or list
./bug-reports.texi:95: @item outside of table or list
./bug-reports.texi:129: @item outside of table or list
./bug-reports.texi:137: `@end' expected `docbook', but saw `itemize'
./bug-reports.texi:80: @footnote missing close brace
enblend.texi:1355: @ref reference to nonexistent node `Table:optimizer-strategies'

Comment 1 Adam Williamson 2013-03-13 23:43:45 UTC
texinfo 5.1 *may* fix this:

https://lists.gnu.org/archive/html/info-gnu/2013-03/msg00007.html

"This release is primarily for a couple of compatibility issues discover
in 5.0."

"Texinfo 5.1 (12 March 2013)
* texi2any:
  . irregular sectioning trees (see 5.0 news item) produce a warning
    rather than an error.
  . @set in the middle of the line no longer produces a warning."

If someone bumps texinfo to 5.1 we could give it a shot, at least.

As it stands this is an F19 Alpha Blocker as it prevents compose of the KDE live image. I invoke the automatic blocker procedure to mark this as an AcceptedBlocker: see https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers . The valid types of bug for automatic blocker status include "Bugs which entirely prevent the composition of one or more of the release-blocking images required to be built for a currently-pending (pre-)release", and the KDE image is release-blocking at all milestones.

The bug can be rendered not a release blocker by dropping kipi-plugins from the image if we cannot fix the enblend build, but it would be better to fix the build.

Comment 2 Rex Dieter 2013-03-14 16:39:20 UTC
Tried a hacked-together texinfo-5.1 build, and it still fails similarly.

rm -rf $backupdir; exit $rc
./auxmac.texi:9: warning: redefining Texinfo language command: @dmn
./auxmac.texi:119: warning: redefining Texinfo language command: @geq
./auxmac.texi:136: warning: redefining Texinfo language command: @leq
enblend.texi:451: bad syntax for @value
enblend.texi:451: misplaced {
enblend.texi:451: misplaced }
enblend.texi:511: warning: @ifinfo should only appear at a line beginning (possibly involving @power)
enblend.texi:511: warning: unknown @end docbook-pixel (possibly involving @power)
enblend.texi:513: warning: @ifinfo should only appear at a line beginning (possibly involving @classictimes)
enblend.texi:513: warning: unknown @end docbookheight (possibly involving @classictimes)
enblend.texi:591: bad syntax for @value
enblend.texi:592: bad syntax for @value
enblend.texi:594: @item outside of table or list
enblend.texi:595: @itemx outside of table or list
enblend.texi:600: bad syntax for @value
enblend.texi:600: misplaced {
enblend.texi:600: misplaced }
...


I know it's evil, but will try a build that omits texinfo generation for now.

Comment 3 Rex Dieter 2013-03-14 17:50:25 UTC
Getting closer...
https://koji.fedoraproject.org/koji/taskinfo?taskID=5122547


make pdf MAKEINFO=/bin/true
fig2dev -L pdf photographic-workflow.fig photographic-workflow.pdf
Error: /invalidfont in /findfont
Operand stack:
   --nostringval--   Helvetica
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1894   1   3   %oparray_pop   1893   1   3   %oparray_pop   --nostringval--   1877   1   3   %oparray_pop   1771   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   1852   2   4   %oparray_pop
Dictionary stack:
   --dict:1167/1684(ro)(G)--   --dict:0/20(G)--   --dict:113/200(L)--   --dict:36/200(L)--
Current allocation mode is local
Last OS error: Not a directory
GPL Ghostscript 9.06: Unrecoverable error, exit code 1

Comment 4 Rex Dieter 2013-03-14 18:46:01 UTC
We've worked-around the texinfo issue, so I'll remove the depends-on bug for that one.

Comment 5 Rex Dieter 2013-03-15 13:10:17 UTC
*** Bug 922044 has been marked as a duplicate of this bug. ***

Comment 6 Jaroslav Reznik 2013-03-19 15:38:09 UTC
(In reply to comment #1)
> texinfo 5.1 *may* fix this:
> 
> https://lists.gnu.org/archive/html/info-gnu/2013-03/msg00007.html
> 
> "This release is primarily for a couple of compatibility issues discover
> in 5.0."
> 
> "Texinfo 5.1 (12 March 2013)
> * texi2any:
>   . irregular sectioning trees (see 5.0 news item) produce a warning
>     rather than an error.
>   . @set in the middle of the line no longer produces a warning."
> 
> If someone bumps texinfo to 5.1 we could give it a shot, at least.

jnovy is trying to rebuild it with 5.1 right now.

Comment 7 Rex Dieter 2013-03-19 16:06:32 UTC
I already tried, see comment #2 (not that upgrading to texinfo-5.1 is a bad idea...)

Comment 8 Jindrich Novy 2013-03-19 16:31:10 UTC
Hi, it seems that texinfo-5.1 doesn't fix it:

http://fpaste.org/tWLT/

Comment 9 Adam Williamson 2013-03-27 18:23:24 UTC
So this bug isn't really fixed, but rdieter forced a build through with some of the doc generation disabled:

http://koji.fedoraproject.org/koji/buildinfo?buildID=401657

so we can probably drop it as a blocker, as we have a build now that is okay for KDE images.

Comment 10 Adam Williamson 2013-03-27 18:27:51 UTC
Discussed at 2013-03-27 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-03-27/f19alpha-blocker-review-3.2013-03-27-16.01.log.txt . Dropped as a blocker per comment #9 - we had an enblend build in TC2 that seems to be okay for image build / install purposes. The underlying texinfo issues aren't fixed though, so not closing.

Comment 11 Fedora End Of Life 2013-04-03 14:04:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 12 Bruno Postle 2014-01-03 23:41:47 UTC
I checked again with f20 and f21, reverted the enblend spec to try and build the docs and get exactly the same error as before. So reassigning to rawhide.

Comment 13 Jan Kurik 2015-07-15 14:50:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 14 Sebastian Pipping 2015-08-14 01:48:35 UTC
FYI upstream has a fix by now.  We apply these two eventual patches for a fix in Gentoo:
https://github.com/gentoo/gentoo/commit/13d95cfe56b912f73214117a4af28560370305a4
The related bug report is
https://bugs.gentoo.org/show_bug.cgi?id=479978

Best, S

Comment 15 Fedora End Of Life 2016-11-24 10:57:43 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Adam Williamson 2016-11-24 22:32:52 UTC
Looks like builds started up again and we have one as recently as April, so closing this.


Note You need to log in before you can comment on or make changes to this bug.